Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Interface ConfigurationComparator

All Known Implementing Classes:
  StrictConfigurationComparator

    public interface ConfigurationComparator

Comparator for configurations interface.

Since:
  1.0
Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Herve Quiroz

Method Summary
`boolean` | `compare(Configuration a, Configuration b)` Compare two configuration objects.

Method Detail

### compare

    boolean compare(Configuration a,
                    Configuration b)

  Compare two configuration objects.

  Parameters:
    `a` - the first configuration
    `b` - the second configuration
  Returns:
    true if the two configurations are identical according to the implemented rules

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.